import api from 'src/api'

export const getProviderWorkingDays = async (providerId) => {
  const { data } = await api.get(`/provider/working-days/${providerId}`)
  return data.payload
}

export const getProviderBlockedDays = async (providerId) => {
  const { data } = await api.get(`/provider/blocked-days/${providerId}`)
  return data.payload
}

export const getProviderSchedules = async (providerId) => {
  const response = await api.get(`/provider/${providerId}/schedules`)
  return response.data.payload
}